import { ArrayOps } from '../';
declare module '../' {
    interface ArrayOps<A> {
        sorted: typeof sorted;
    }
}
export declare function sorted(this: ArrayOps<string>, options?: StringSortOptions): ArrayOps<string>;
export declare function sorted<A>(this: ArrayOps<A>, options: ByStringSortOptions<A>): ArrayOps<A>;
export declare function sorted(this: ArrayOps<number>, options?: NumberSortOptions): ArrayOps<string>;
export declare function sorted<A>(this: ArrayOps<A>, options: ByNumberSortOptions<A>): ArrayOps<A>;
export interface StringSortOptions {
    localeCompare?: boolean;
    ignoreCase?: boolean;
    reverse?: boolean;
}
export interface ByStringSortOptions<A> {
    by: (item: A) => string;
    localeCompare?: boolean;
    ignoreCase?: boolean;
    reverse?: boolean;
}
export interface NumberSortOptions {
    reverse?: boolean;
}
export interface ByNumberSortOptions<A> {
    by: (item: A) => number;
    reverse?: boolean;
}
