import { ObjectOps } from '../';
declare module '../' {
    interface ObjectOps<A> {
        set: typeof set;
    }
}
/**
 * Sets a key/value on this "Map" object.
 * To update an object while preserving its type, use "update()".
 */
export declare function set<K extends string, V>(this: ObjectOps<Record<K, V>>, key: K, value: V): ObjectOps<Record<K, V>>;
